From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/meson-python/
Date: Thu, 26 Oct 2023 12:19:26 +0000 (UTC) [thread overview]
Message-ID: <1698322760.13010369d891bf6a06544ad797988416cdef7fcd.mgorny@gentoo> (raw)
commit: 13010369d891bf6a06544ad797988416cdef7fcd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 26 12:10:32 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 12:19:20 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13010369
dev-python/meson-python: Bump to 0.15.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/meson-python/Manifest | 1 +
dev-python/meson-python/meson-python-0.15.0.ebuild | 66 ++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/dev-python/meson-python/Manifest b/dev-python/meson-python/Manifest
index 33f179cd56d0..f7e071beb3c1 100644
--- a/dev-python/meson-python/Manifest
+++ b/dev-python/meson-python/Manifest
@@ -1 +1,2 @@
DIST meson-python-0.14.0.gh.tar.gz 72523 BLAKE2B d0fd66dee8a5efd73e617033aec3f14eb66affe72cd84c30a740820f5a0c34a4ae4ffd31e1df26312513b312940f62af436b9870216ee93d7543b4f02dec6637 SHA512 f40963a9c2bca8edf0f5651f9f4f1fab8df89cca715dd8dc0dec11ac53a591ee19d2d06edead917f15382410a51a37cd4efcee2c52696eb10a546b080bac2ad8
+DIST meson-python-0.15.0.gh.tar.gz 73063 BLAKE2B 280c01b08fb8264d268797d199b59f7d02cac88e49333de4a38f9e22a1e724586b7ffcddc4e9a411c0d660560892134cb742136334aad8caacd9db37580fce8f SHA512 f1fce89bb0a3d279b9900c4ecec78e5f24da92d72f64ebf6c27648b4201a75a65204c3fac08aaa3e8d70dbeef245c3235e39994c7c0b9cba27c0df528211c7f7
diff --git a/dev-python/meson-python/meson-python-0.15.0.ebuild b/dev-python/meson-python/meson-python-0.15.0.ebuild
new file mode 100644
index 000000000000..0ff76a5dc1a6
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.15.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/meson-python/
+ https://github.com/mesonbuild/meson-python/
+"
+SRC_URI="
+ https://github.com/mesonbuild/meson-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+ >=dev-util/meson-0.63.0[${PYTHON_USEDEP}]
+ !kernel_Darwin? ( dev-util/patchelf )
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ >=dev-python/cython-0.29.34[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires network access
+ tests/test_pep518.py::test_pep518
+ # requires git repo
+ # https://github.com/mesonbuild/meson-python/issues/397
+ tests/test_project.py::test_user_args
+ )
+ unset NINJA
+
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ # broken venv usage that copies pypy3 executable, making it
+ # unable to find lib_pypy
+ tests/test_editable.py::test_editable_install
+ tests/test_editable.py::test_editble_reentrant
+ tests/test_examples.py::test_spam
+ tests/test_wheel.py::test_local_lib
+ )
+ fi
+
+ epytest
+
+ rm -rf docs/examples/spam/build/ || die # remove artifacts
+}
next reply other threads:[~2023-10-26 12:19 UTC|newest]
Thread overview: 118+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-26 12:19 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-10 3:07 [gentoo-commits] repo/gentoo:master commit in: dev-python/meson-python/ Michał Górny
2024-11-09 10:46 Sam James
2024-11-09 9:57 Arthur Zamarin
2024-11-09 9:50 Sam James
2024-11-09 9:50 Sam James
2024-11-09 8:59 Sam James
2024-10-26 5:31 Michał Górny
2024-10-22 3:10 Michał Górny
2024-06-04 18:14 Michał Górny
2024-05-13 19:41 Sam James
2024-05-13 18:45 Michał Górny
2024-05-04 9:48 Arthur Zamarin
2024-05-04 8:06 Arthur Zamarin
2024-05-04 7:59 Arthur Zamarin
2024-05-04 7:47 Arthur Zamarin
2024-05-04 7:36 Arthur Zamarin
2024-05-04 7:29 Arthur Zamarin
2024-05-04 7:23 Arthur Zamarin
2024-03-26 20:17 Ionen Wolkens
2023-11-29 16:59 Michał Górny
2023-11-29 16:45 Arthur Zamarin
2023-11-29 14:42 Arthur Zamarin
2023-11-29 14:42 Arthur Zamarin
2023-11-29 11:15 Michał Górny
2023-11-29 11:15 Michał Górny
2023-11-29 11:15 Michał Górny
2023-11-10 5:47 Viorel Munteanu
2023-11-07 20:35 Sam James
2023-10-06 17:56 Arthur Zamarin
2023-10-06 17:05 Arthur Zamarin
2023-10-06 15:05 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:33 Arthur Zamarin
2023-10-06 14:31 Sam James
2023-09-06 2:41 Michał Górny
2023-08-24 21:42 James Le Cuirot
2023-08-24 18:09 Arthur Zamarin
2023-08-20 17:57 Michał Górny
2023-08-20 17:50 Arthur Zamarin
2023-08-20 10:58 Sam James
2023-08-20 5:43 Sam James
2023-08-20 5:43 Sam James
2023-08-19 19:49 Sam James
2023-08-19 18:56 Arthur Zamarin
2023-08-19 17:53 Arthur Zamarin
2023-08-02 4:27 Sam James
2023-07-19 11:10 Michał Górny
2023-07-19 9:18 Benda XU
2023-07-17 3:42 Benda XU
2023-06-29 5:12 Michał Górny
2023-06-28 7:24 Michał Górny
2023-06-28 7:24 Michał Górny
2023-06-16 13:47 Arthur Zamarin
2023-06-13 17:19 Sam James
2023-05-27 13:40 Arthur Zamarin
2023-05-27 13:40 Arthur Zamarin
2023-05-27 11:27 Arthur Zamarin
2023-05-27 7:59 Arthur Zamarin
2023-05-27 7:59 Arthur Zamarin
2023-05-27 7:59 Arthur Zamarin
2023-04-28 14:13 Michał Górny
2023-04-19 5:56 Michał Górny
2023-03-25 5:02 Michał Górny
2023-03-25 1:43 Sam James
2023-03-24 20:46 Arthur Zamarin
2023-03-24 20:24 Arthur Zamarin
2023-03-24 19:54 Arthur Zamarin
2023-03-24 19:51 Arthur Zamarin
2023-03-24 19:47 Arthur Zamarin
2023-02-18 7:03 Michał Górny
2023-01-31 13:16 Michał Górny
2023-01-31 12:11 Arthur Zamarin
2023-01-31 12:11 Arthur Zamarin
2023-01-31 11:51 Arthur Zamarin
2023-01-31 11:51 Arthur Zamarin
2023-01-31 11:51 Arthur Zamarin
2023-01-31 11:43 Arthur Zamarin
2022-12-23 7:30 Arthur Zamarin
2022-11-30 0:52 Sam James
2022-11-30 0:52 Sam James
2022-11-29 8:25 Arthur Zamarin
2022-11-29 8:18 Arthur Zamarin
2022-11-29 7:46 Arthur Zamarin
2022-11-29 7:43 Arthur Zamarin
2022-11-21 20:11 Arthur Zamarin
2022-11-14 9:24 Arthur Zamarin
2022-11-12 16:31 Arthur Zamarin
2022-10-30 14:54 Michał Górny
2022-10-30 14:54 Michał Górny
2022-10-30 14:54 Michał Górny
2022-10-25 8:07 Sam James
2022-10-25 8:07 Sam James
2022-10-24 6:37 Agostino Sarubbo
2022-10-23 7:52 Agostino Sarubbo
2022-10-23 7:52 Agostino Sarubbo
2022-10-23 7:51 Agostino Sarubbo
2022-10-09 16:10 Sam James
2022-10-09 16:10 Sam James
2022-10-09 0:09 Sam James
2022-10-09 0:04 Sam James
2022-10-08 23:56 Sam James
2022-10-01 9:26 Arthur Zamarin
2022-10-01 9:26 Arthur Zamarin
2022-08-01 18:08 Arthur Zamarin
2022-07-31 17:12 Arthur Zamarin
2022-07-31 16:05 Jakov Smolić
2022-07-29 10:12 Arthur Zamarin
2022-07-26 14:11 Michał Górny
2022-06-25 1:33 Sam James
2022-06-22 11:39 Michał Górny
2022-06-22 5:48 Michał Górny
2022-06-12 8:47 Sam James
2022-06-12 6:06 Sam James
2022-06-05 10:04 Sam James
2022-06-05 7:31 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1698322760.13010369d891bf6a06544ad797988416cdef7fcd.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox